//---------------------------------------------------------------------------

#ifndef ChildChartReportH
#define ChildChartReportH


//---------------------------------------------------------------------------
#include <ActnList.hpp>
#include <Buttons.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <Forms.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <StdActns.hpp>
#include <StdCtrls.hpp>
#include <ToolWin.hpp>
#include "VCLTee.Chart.hpp"
#include "VCLTee.CurvFitt.hpp"
#include "VCLTee.Series.hpp"
#include "VCLTee.TeeBarJoinEditor.hpp"
#include "VCLTee.TeeLisB.hpp"
#include "VCLTee.TeEngine.hpp"
#include "VCLTee.TeeProcs.hpp"
#include "VCLTee.TeeEditPro.hpp"
#include <VCLTee.TeeEditCha.hpp>
#include <VCLTee.TeeThemeEditor.hpp>
#include <VCLTee.TeeThemes.hpp>
#include "VCLTee.StatChar.hpp"
#include <System.Actions.hpp>
#include <VclTee.TeeGDIPlus.hpp>


class	TMPanelChartChangeContainer;
class	TPChartItem;
class     TPChartItemMultipleValues;
class     TPChartItemSingleValue;
class     TPChartOptions;


//---------------------------------------------------------------------------

class TCChartReport: public TForm {
	__published:	// IDE-managed Components
		TAction 		*ActionCompile;
		TAction 		*ActionPrevious;
		TAction 		*ActionNext;
		TAction 		*ActionInsert;
		TAction 		*ActionSave;
		TAction 		*ActionFind;
		TAction 		*ActionReplace;
		TAction        *ActionPrint;
		TAction        *ActionReport;
		TActionList 	*ActionList;
		TBitBtn 		*BitBtnOk;
		TBitBtn 		*BitBtnCancel;
		TButton 		*ButtonPropertiesClose;
		TChart 		*Chart;
		TChartListBox 	*ChartListBoxData;
		TCheckBox 	*CheckBoxOptionsLandscape;
		TEdit 		*EditOptionsUnitWidth;
		TEdit 		*EditOptionsUnitHeight;
		TEdit 		*EditOptionsPixelWidth;
		TEdit 		*EditOptionsPixelHeight;
		TEditCopy     	*ActionCopy;
		TEditCut 		*ActionCut;
		TEditPaste 	*ActionPaste;
		TEditSelectAll *ActionSelectAll;
		TEditUndo 	*ActionUndo;
		TImageList 	*BitmapButtons;
		TImageList     *BitmapImages;
		TLabel 		*LabelOptionsUnitWidth;
		TLabel 		*LabelOptionsUnitHeight;
		TLabel 		*LabelOptionsPixelWidth;
		TLabel 		*LabelOptionsPixelHeight;
		TListBox 		*ListSourceErrors;
		TMemo 		*MemoDescription;
		TMenuItem 	*MenuItemCut;
		TMenuItem 	*MenuItemCopy;
		TMenuItem 	*MenuItemPaste;
		TMenuItem 	*MenuItemUndo;
		TMenuItem 	*MenuItemSelectAll;
		TMenuItem 	*MenuItemSep1;
		TMenuItem 	*MenuItemFind;
		TMenuItem 	*MenuItemReplace;
		TMenuItem 	*MenuItemSep2;
		TMenuItem 	*MenuItemCompile;
		TPageControl 	*PageControl;
		TPageControl 	*PageControlData;
		TPanel 		*PanelOptionsSpace;
		TPanel 		*PanelInfo;
		TPanel 		*PanelInfoCancel;
		TPanel         *PanelReport;
		TPanel 		*PanelChart;
		TPanel 		*PanelEditor;
		TPanel 		*PanelData;
		TPanel 		*PanelDataSeries;
		TPanel 		*PanelDataList;
		TPanel 		*PanelHeader;
		TPanel 		*PanelSource;
		TPanel 		*PanelSourceClient;
		TPanel 		*PanelSourceText;
		TPanel 		*PanelSourceTextEdit;
		TPanel 		*PanelSourceClasses;
		TPanel 		*PanelSourceTextGroup;
		TPanel 		*PanelEditorFormPanel;
		TPanel 		*PanelEditorForm;
		TPanel 		*PanelOptions;
		TPanel 		*PanelDisplayChart;
		TPopupMenu 	*PopupMenuRichEdit;
		TRichEdit 	*RichEditSource;
		TRichEdit 	*RichEditExtended;
		TRichEdit 	*RichEditHeader;
		TScrollBox     *ScrollBoxReportOptions;
		TScrollBox 	*ScrollBoxEditor;
		TScrollBox 	*ScrollBoxData;
		TScrollBox 	*ScrollBoxSourceMessage;
		TScrollBox 	*ScrollBoxProperties;
		TScrollBox 	*ScrollBoxDisplayChart;
		TSplitter 	*SplitterSourceMessage;
		TSplitter 	*SplitterSourceEdit;
		TSplitter      *SplitterReport;
		TSplitter 	*SplitterData;
		TSplitter 	*SplitterEditorForm;
		TStaticText    *StaticTextName;
		TTabSheet 	*TabSheetEditor;
		TTabSheet 	*TabSheetData;
		TTabSheet 	*TabSheetProperties;
		TTabSheet 	*TabSheetHeader;
		TTabSheet 	*TabSheetSource;
		TToolBar 		*ToolBar;
		TToolBar 		*ToolBarSource;
		TToolBar 		*ToolBarHeader;
		TToolButton 	*ToolButtonPrint;
		TToolButton 	*ToolButtonOptionsSep;
		TToolButton 	*ToolButtonReport;
		TToolButton 	*ToolButtonHeaderCopy;
		TToolButton 	*ToolButtonHeaderSelectAll;
		TToolButton 	*ToolButtonHeaderSepFind;
		TToolButton 	*ToolButtonHeaderFind;
		TToolButton 	*ToolButtonSourceCut;
		TToolButton 	*ToolButtonSourceCopy;
		TToolButton 	*ToolButtonSourcePaste;
		TToolButton 	*ToolButtonSourceUndo;
		TToolButton 	*ToolButtonSourceSelectAll;
		TToolButton 	*ToolButtonSourceInsert;
		TToolButton 	*ToolButtonSourceSepFind;
		TToolButton 	*ToolButtonSourceFind;
		TToolButton 	*ToolButtonSourceReplace;
		TToolButton 	*ToolButtonSourceSepCompile;
		TToolButton 	*ToolButtonSourceCompile;
		TToolButton 	*ToolButtonSourceSave;
		TToolButton 	*ToolButtonSourcePrevious;
		TToolButton 	*ToolButtonSourceNext;
		TToolButton 	*ToolButtonRefreshChart;
		TToolButton 	*ToolButtonOptionsSep2;
		TToolButton 	*ToolButtonActualSize;
		TTreeView 	*TreeViewContainers;
		TUpDown 		*UpDownOptionsUnitWidth;
		TUpDown 		*UpDownOptionsUnitHeight;
		TUpDown 		*UpDownOptionsPixelWidth;
		TUpDown 		*UpDownOptionsPixelHeight;

				// standard functions
		void __fastcall FormCreate (TObject *Sender);
		void __fastcall ChartListBoxDataOtherItemsChange (TObject *Sender);
		void __fastcall ToolButtonActualSizeClick (TObject *Sender);

	private:		// User declarations
		TChartEditForm
				*chart_edit_form;
		TMPanelChartChangeContainer
				*panel_change_container;
		TPChartItem
				*current_panel;
		TPChartItemMultipleValues
				*panel_item_multiple_values;
		TPChartItemSingleValue
				*panel_item_single_value;
		TPChartOptions
				*options_panel;

				// panel processing
		void Open_Panels (void);

	public:		// User declarations

		__fastcall TCChartReport (TComponent *Owner);
	};


//---------------------------------------------------------------------------
extern PACKAGE TCChartReport *CChartReport;
//---------------------------------------------------------------------------
#endif
